#include <stdio.h>
#include "shared/limits.h"

int main() {
  int c;
  int count[MAXLINE];
  for (int i = 0; i < MAXLINE; i++) {
    count[i] = 0;
  }
  while ((c = getchar()) != EOF) {
    count[c]++;
  }
  printf("\n");
  for (int i = 0; i < MAXLINE; i++) {
    if (count[i] != 0) {
      if (i == '\n') {
        printf("\\n");
      } else if (i == '\t') {
        printf("\\t");
      } else if (i == '\"') {
        printf("\\\"");
      } else {
        putchar(i);
      }
      printf("\t: ");
      for (int z = 0; z < count[i]; z++) {
        printf("#");
      }
      printf("\n");
    }
  }
  return 0;
}
